//-----------------------------------------------------------------------------
//  Copyright (C) 2002-2007 Thomas S. Ullrich 
//
//  This file is part of "xyscan".
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//  
//  Author: Thomas S. Ullrich
//  Last update: July 16, 2007
//-----------------------------------------------------------------------------
#ifndef xyscanMarkerMaps_h
#define xyscanMarkerMaps_h

static const char *marker_blue_xpm[] = {
    "41 41 2 1",
    "  c None",
    "b c #0000FF",
    "bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b         bbbbbbbbbbbbbbbbbbbbb         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         b         b         b         b",
    "b         bbbbbbbbbbbbbbbbbbbbb         b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "b                   b                   b",
    "bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb"
};

static const char *marker_red_xpm[] = {
    "41 41 2 1",
    "  c None",
    "r c #FF0000",
    "rrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrr",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r         rrrrrrrrrrrrrrrrrrrrr         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "rrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrr",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         r         r         r         r",
    "r         rrrrrrrrrrrrrrrrrrrrr         r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "r                   r                   r",
    "rrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrr"
};

static const char *marker_cross_xpm[] = {
    "21 21 2 1",
    "  c None",
    "g c #00FF00",
    "ggggggg       ggggggg",
    "g                   g",
    "g                   g",
    "g                   g",
    "g         g         g",
    "g         g         g",
    "g         g         g",
    "          g          ",
    "          g          ",
    "          g          ",
    "    ggggggggggggg    ",
    "          g          ",
    "          g          ",
    "          g          ",
    "g         g         g",
    "g         g         g",
    "g         g         g",
    "g                   g",
    "g                   g",
    "g                   g",
    "ggggggg       ggggggg",
};

#endif
  
